darcs

Issue 1804 improve "getSymbolicLinkStatus: does not exist" error message

Title improve "getSymbolicLinkStatus: does not exist" error message
Priority feature Status resolved
Milestone Resolved in 2.8.0
Superseder Nosy List dmitry.kurochkin, kowey, twb
Assigned To kowey
Topics UI

Created on 2010-03-31.01:57:38 by twb, last changed 2011-09-07.17:44:02 by noreply.

Messages
msg10583 (view) Author: twb Date: 2010-03-31.01:57:37
When running "darcs add" on a path that doesn't (currently) exist:

# darcs add apt/apt.conf.d/10apt-listbugs.distrib
darcs: apt/apt.conf.d/10apt-listbugs.distrib: getSymbolicLinkStatus: does not exist (No such file or directory)

# darcs --version
2.4 (+ 142 patches)
# darcs --exact-version | sed -n /Compiled.with/,\$p | fmt
Compiled with:

HTTP-4000.0.6 array-0.3.0.0 base-4.2.0.0 bytestring-0.9.1.5
containers-0.3.0.0 directory-1.0.1.0 extensible-exceptions-0.1.1.1
filepath-1.1.0.3 hashed-storage-0.4.10 haskeline-0.6.2.2 html-1.0.1.2
mmap-0.4.1 mtl-1.1.0.2 network-2.2.1.7 old-time-1.0.0.3 parsec-2.1.0.1
process-1.0.1.2 random-1.0.0.2 regex-compat-0.92 tar-0.3.1.0
terminfo-0.3.0.2 text-0.7.1.0 unix-2.4.0.0 zlib-0.5.2.0
msg10588 (view) Author: kowey Date: 2010-03-31.10:16:41
I could have sworn this was already in the bug tracker, but we have a
general problem with this unfriendly error message (I guess the problem
is that getSymbolicLinkStatus looks like gobbledygook or exposes too
much implementation detail).

We it should just something simpler like darcs:
apt/apt.conf.d/10apt-listbugs.distrib: No such file or directory

or better!
msg14726 (view) Author: noreply Date: 2011-09-07.17:44:01
The following patch sent by Eric Kow <kowey@darcs.net> updated issue issue1804 with
status=resolved;resolvedin=2.8.0 HEAD

* Resolve issue1804: friendlier message when adding missing files. 
Ignore-this: b221e137f9e958d62b4c57738af7828e

Instead of
  darcs: foo: getSymbolicLinkStatus: does not exist (No such file or directory)
We now have
  File foo does not exist!
History
Date User Action Args
2010-03-31 01:57:38twbcreate
2010-03-31 10:16:43koweysetstatus: unknown -> needs-implementation
priority: feature
title: darcs add --> getSymbolicLinkStatus: does not exist -> improve "getSymbolicLinkStatus: does not exist" error message
nosy: + kowey
messages: + msg10588
topic: + UI
2011-04-07 17:07:51koweysetassignedto: kowey
2011-09-07 17:44:02noreplysetstatus: needs-implementation -> resolved
messages: + msg14726
resolvedin: 2.8.0